Subject: Re: ar/submodule-update (was Re: What's cooking in git.git (Jan 2022, #04; Fri, 14))

From: Junio C Hamano <[email-masked]>
Date: Tue, 18 Jan 2022 16:53:03 -0800

Glen Choo <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>
>> * ar/submodule-update (2021-10-13) 9 commits
>>  . submodule--helper: rename helper functions
>>  . submodule--helper: remove unused helpers
>>  . submodule: move core cmd_update() logic to C
>>  . submodule--helper: run update using child process struct
>>  . submodule--helper: allow setting superprefix for init_submodule()
>>  . submodule--helper: refactor get_submodule_displaypath()
>>  . submodule--helper: rename helpers for update-clone
>>  . submodule--helper: get remote names from any repository
>>  . submodule--helper: split up ensure_core_worktree()
>>
>>  Rewrite of "git submodule update" in C.
>>
>>  Expecting a reroll?
>>  cf. <[email-masked]>
>>  source: <[email-masked]>
>
> How close are we to getting this into 'next'? Last I checked, it seemed
> like the only remaining piece is to rebase this onto
> es/superproject-aware-submodules.

Unless we have a new version of, a new review or a new ack on any
topic since we tagged -rc0, there should be anything to make them
any closer to 'next'.

In any case, a rebased version would not come from me, so I think
the message I am responding to has To: and Cc: addresses mixed up.